%define module	Geo-WeatherNOAA
%define name	perl-%{module}
%define version 4.37
%define release 2mdk

Summary:	Perl extension for interpreting the NOAA weather data
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Perl
Requires:	perl
URL:		http://www.cpan.org
Source:		%{module}-%{version}.tar.bz2
BuildRequires:	perl-devel
Buildroot:	%{_tmppath}/%{name}-root
BuildArch:	noarch

%description

This module is intended to interpret the NOAA zone forecasts and current 
city hourly data files. It should give a programmer an easy time to use 
the data instead of having to mine it.

Be aware that if the variable $main::opt_v is set to anything (other than 
zero or '') then Geo::WeatherNOAA will be verbose on what it's doing with 
messages sent to STDERR. Useful for debugging. 

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor 
make OPTIMIZE="$RPM_OPT_FLAGS" 

%install
rm -rf $RPM_BUILD_ROOT 
%makeinstall_std 

%clean
rm -rf $RPM_BUILD_ROOT 

%files
%defattr(-,root,root)
%doc README
%{_mandir}/man3/*
%{perl_vendorlib}/Geo/*

%changelog
* Mon May 16 2005 Stew Benedict <sbenedict@mandriva.com> 4.37-2mdk
- rebuild

* Fri Apr 4 2004 Stew Benedict <sbenedict@mandrakesoft.com> 4.37-1mdk
- first Mandrake release
